<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA1000.php");
include("DMMYSQLG.php");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>

<h2>!!! Espere un momento...!!!</h2>
<img src="GIF32.gif" width="123" height="6" id="imagen_espera" name="imagen_espera">
<form name="frm1" id="frm1" method="post" action="">
<?php
 
if($_REQUEST['r1']=="NO"){
	echo '<h2>!!! NO PROCESAR PERIODO !!!</h2>';
	echo '<meta content="1; url=DN41000_PR.php" HTTP-EQUIV="REFRESH">';
	exit();
}
//   --->  Saco el aņo y mes actual
$sq_pargen = mysqli_query($con ,"select * from dnpargen");
$dt_pargen = mysqli_fetch_array($sq_pargen);
$axo_pro = $dt_pargen['axo_pro'];
$mes_pro = $dt_pargen['mes_pro'];
$axo_mes = $dt_pargen['axo_pro'] . '-'. $dt_pargen['mes_pro'];



//   --->  Busco los calendarios programados de ese aņo y de ese mes
$sq_cageno = mysqli_query($con ,"select * from dncageno where axo_mes like '$axo_mes%'");
//echo mysqli_num_rows($sq_cageno);

$bandera = 0;
while($dt_cageno = mysqli_fetch_array($sq_cageno)){
	if ($dt_cageno['act_nom'] == "NO"){
		$cad .= $dt_cageno['des_nomi'].'\r' ;
		$bandera = 1;
	}
}

if ($bandera  == 1){//   --->  Si no esta actualizado algun periodo manda mensaje 
?>
	<script language="javascript1.2">
		a = "<?php
 echo $cad ?>";
			alert ("Error # 546: Periodos no  Actualizados\r" + a );
			//window.parent.close();
	</script>
<? 
	echo '<h2>!!! REGRESANDO !!!</h2>';
	echo '<meta content="1; url=DN41000_PR.php" HTTP-EQUIV="REFRESH">';
}else{//   --->  Todo actualizado entonces calcular
	$mes_pro1 = $mes_pro;
	$axo_pro1 = $axo_pro;
	if($mes_pro==12){
		$mes_pro1 = 1;
		$axo_pro1 += 1;
	}else{
		$mes_pro1 += 1;
	}
	if ($mes_pro1<10) $mes_pro1 = '0'.$mes_pro1;
	//   ---> sumo uno a dnpargen

	mysqli_query($con ,"update dnpargen set axo_pro = '$axo_pro1', mes_pro = '$mes_pro1'");
	
	//   ---> Si es par entra
	//echo 'Valor 1:'.$mes_pro;
	//echo 'Valor 2:'.$axo_pro;
	if ($mes_pro == 2 or $mes_pro == 4 or $mes_pro == 6 or $mes_pro == 8 or $mes_pro == 10 or $mes_pro == 12){
		$no_bim = $mes_pro / 2;
		//   --->  Fecha inicial
		
		$fecha = date("m/d/Y",mktime(0,0,0,$mes_pro - 1,1,$axo_pro));
		$f1 =  substr($fecha,3,2). '/' . substr($fecha,0,2). '/' . substr($fecha,6);
		$fec = $f1;
		include('DF20000.php');
		$fec_ini = $f_m;
		//echo 'Valor 1:'.$f1.'<br>';
		$fecha = date("m/d/Y",mktime(0,0,0,$mes_pro + 1,0,$axo_pro));
		$f2 = substr($fecha,3,2). '/' . substr($fecha,0,2). '/' . substr($fecha,6);
		$fec = $f2;
		include('DF20000.php');
		$fec_fin = $f_m;
		//echo 'Valor 2:'.$f2.'<br>';
		include ('DF50000.php');//   --->  dias de diferencia
		$df = $dias_diferencia; 
		//   --->  sumar totales
		$sq_nommen1 = mysqli_query($con ,"select no_nomina from dnnommen where axo_pro = '$axo_pro' and mes_pro  = '$mes_pro' ");	
		
		while($dt_nommen1 = mysqli_fetch_array($sq_nommen1)){
			//echo 'Entro:'.$axo_pro;
			//exit ();
			$sq_nommen = mysqli_query($con ," select sum(imp_mov) as can1, sum(imp_gra_ims) as can2, sum(imp_exe_ims) as can3  from dnnommen where no_nomina = '".$dt_nommen1['no_nomina']."' and axo_pro = '$axo_pro' and mes_pro  = '$mes_pro'");	
			$dt_nommen = mysqli_fetch_array($sq_nommen);
			//   --->  integracion bimestral nueva
			$sq_datnom = mysqli_query($con ,"select * from dndatnom where no_reg = '".$dt_nommen1['no_nomina']."'");
			$dt_datnom = mysqli_fetch_array($sq_datnom);
			
			$sal_dia = $dt_datnom['sal_diario'];// Salario diario
			$int_bim = $dt_nommen['can2'] / $dias_diferencia;// Integracion bimestral 
			
			$factor_a = $dt_datnom['factor']; // factor
			$imp_fac_a = $dt_datnom['imp_factor']; // importar factor
			$variable_a = $dt_datnom['variable']; // integracion bimestral del empleado
			$sal_int_a = $dt_datnom['sal_int']; // salario integradoa actual
			
			$factor_n = 0; // factor
			$imp_fac_n = $dt_datnom['imp_fac_n']; // importar factor
			$variable_n = $dt_datnom['variable']; // integracion bimestral del empleado
			$sal_int_n = $dt_datnom['sal_int']; // salario integradoa actual
			
			mysqli_query($con ,"insert into dnpegrbi (no_nomina, operac, fec_ini, fec_fin, per_tot, per_gra, per_ext, dia_tra, int_bim, sal_dia, factor_a, imp_fac_a, int_bim_a, sal_int_a, factor_n, imp_fac_n, int_bim_n, sal_int_n, fec_acc, hor_acc, usuario, periodo,axo, no_bim) values ('".$dt_nommen1['no_nomina']."', '".$dt_nommen1['operac']."', '$fec_ini', '$fec_fin','".$dt_nommen['can1']."', '".$dt_nommen['can2']."', '".$dt_nommen['can3']."','$dias_diferencia','$int_bim', '$sal_dia','$factor_a', '$imp_fac_a','$int_bim_a','$sal_int_a', '$factor_n','$imp_fac_n', '$int_bim_n','$sal_int_n', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."','$mes_pro','$axo_pro','$no_bim')");
			echo mysqli_error($con);
		}
		//exit ();
		?>
		<script language="javascript1.2">
			alert ("Proceso completado" );
			//window.parent.close();
	</script>
	<?php

	echo '<h2>!!! REGRESANDO !!!</h2>';
	echo '<meta content="1; url=DN41000_PR.php" HTTP-EQUIV="REFRESH">';
	}
}
?>

</form>
</body>
</html>